<?
function addBookmarkSkin($target, $mother) {
	global $entryView;
	requireComponent( "Tattertools.Function.misc");
	$mark = addBookmark();
	misc::dress('add_bookmark', $mark, $entryView);

	return $target;
}

function addBookmarkSB($parameter) {
	global $configVal;
	requireComponent( "Tattertools.Function.misc");
	$data = misc::fetchConfigVal($configVal);

	if (isset($parameter['preview'])) {
		// preview mode
		$retval = "각종 북마크 사이트에 책갈피할 수 있는 링크를 만듭니다.";
		return $retval;
	}

	$mark = addBookmark();

	if($data['usesb'] == 'T') {
		$mark = $data['sbheader'].$mark.$data['sbfooter'];
		return $mark;
	}return;
}

function addBookmark() {
	global $hostURL, $blogURL, $entry, $permalink, $entryView, $pluginURL, $configVal;
	requireComponent( "Tattertools.Function.misc");
	$data = misc::fetchConfigVal($configVal);
	$iconfile=($data['iconfile'] ? $data['iconfile'] : 'bookmark.gif');
	$sect=($data['sect'] ? $data['sect'] : '|');

	$permalink = isset($permalink)?$permalink:'';
	$permalink = eregi("^http://", $permalink) ? urlencode($permalink) : urlencode($blogURL.$permalink);
	$title = urlencode($entry['title']);

	$bookmark['네이버'] = "http://bookmark.naver.com/post?ns=1&url=$permalink&title=$title";
	$bookmark['다음'] = "http://bookmark.daum.net/bookmark/edit.do?url=$permalink&title=$title";
	$bookmark['마가린'] = "http://mar.gar.in/post/popup_post/&qURL=$permalink&qTitle=$title";
	$bookmark['한RSS'] = "http://www.hanrss.com/bookmarks/add_link.qst?url=$permalink&title=$u_title";
	$bookmark['뉴스2.0'] = "http://www.news2.co.kr/submit/?bookurl=$permalink&booktitle=$title";
	$bookmark['델리셔스'] = "http://del.icio.us/post?url=$permalink&title=$title";
	$bookmark['북마커'] = "http://www.bookmarkr.net/mysave.php?popup=y&feed=&url=$permalink&subject=$title";
	$bookmark['WZD'] = "http://wzd.com/port/?url=$permalink&title=$title";
	$bookmark['구글'] = "http://www.google.com/bookmarks/mark?op=edit&output=popup&bkmk=$permalink&title=$title";
	$bookmark['야후'] = "http://beta.bookmarks.yahoo.com/toolbar/savebm?opener=bm&ei=UTF-8&u=$permalink&t=$title";
	$i = 0;
	ksort($bookmark);
	foreach($bookmark as $k=>$v) {
		if($data[$k] == 'T') {
			if($i!=0) {
				if($data['sectuse'] == 'T') $mark .= " $sect ";
				else $mark .= ' ';
			}
			$mark .= "<A href='$v' target=_blank title='{$k}에 책갈피 하기'>$k</A>";
			$i++;
		}
//		$mark .= $data[$k].$k;
	}

	if($i > 1 && $data['iconuse']=='T') $mark = "<img src='".$pluginURL."/".$iconfile."' align='absmiddle'>".$mark;
	if($data['정보'] == 'T') $mark .= " $sect <A href='http://qaos.com/' title='OS의 비밀'>정보</A>";

	return $mark;
}

function bookmarkConfig_ko($plugin) {
	global $service;
	
	$manifest = '';
	
	$manifest .= '<?xml version="1.0" encoding="utf-8"?>'.CRLF;
	$manifest .= '<config dataValHandler="">'.CRLF;
	$manifest .= '	<window width="600" height="800" />'.CRLF;
	
	$manifest .= '		<fieldset legend="아이콘 설정">'.CRLF;
	$manifest .= '				<field title="아이콘:" name="iconfile" type="text" value="">';
	$manifest .= '		</field>'.CRLF;
	$manifest .= '			<field title="아이콘:" name="iconuse" type="radio">';
	$manifest .= '			<op value="T" checked="checked">사용</op>'.CRLF;
	$manifest .= '			<op value="F" >사용 안 함</op>'.CRLF;
	$manifest .= '			<caption>'.CRLF;
	$manifest .= '				<![CDATA['.CRLF;
	$manifest .= '				책갈피 앞에 표시되는 아이콘 파일을 지정합니다. 아이콘 파일은 태터툴즈의 plugins/vBookmark 폴더에 올려야 합니다. 아이콘 파일을 사용하지 않으려면 사용 안 함을 선택합니다.'.CRLF;
	$manifest .= '				]]>'.CRLF;
	$manifest .= '			</caption>'.CRLF;
	$manifest .= '		</field>'.CRLF;
	$manifest .= '		</fieldset>'.CRLF;
	
	$manifest .= '		<fieldset legend="분리선 설정">'.CRLF;
	$manifest .= '			<field title="분리선:" name="sect" type="text" value="">';
	$manifest .= '			</field>'.CRLF;
	$manifest .= '			<field title="분리선:" name="sectuse" type="radio">';
	$manifest .= '			<op value="T" checked="checked">사용</op>'.CRLF;
	$manifest .= '			<op value="F" >사용 안 함</op>'.CRLF;
	$manifest .= '			<caption>'.CRLF;
	$manifest .= '				<![CDATA['.CRLF;
	$manifest .= '				책갈피와 책갈피 사이에 삽입되는 구분선을 지정합니다. 지정하지 않으면 기본값인 |가 사용됩니다. 사용을 원하지 않으면 사용 안 함을 선택합니다.'.CRLF;
	$manifest .= '				]]>'.CRLF;
	$manifest .= '			</caption>'.CRLF;
	$manifest .= '		</field>'.CRLF;
	$manifest .= '		</fieldset>'.CRLF;

	$manifest .= '		<fieldset legend="사이드바 설정">'.CRLF;
	$manifest .= '			<field title="사이드바:" name="usesb" type="radio">'.CRLF;
	$manifest .= '			<op value="T" checked="checked">사용</op>'.CRLF;
	$manifest .= '			<op value="F" >사용 안 함</op>'.CRLF;
	$manifest .= '			<caption>'.CRLF;
	$manifest .= '				<![CDATA['.CRLF;
	$manifest .= '				사이드바를 사용하려면 사용함을 선택한 뒤 머릿말과 꼬릿말을 지정하기 바랍니다..'.CRLF;
	$manifest .= '				]]>'.CRLF;
	$manifest .= '			</caption>'.CRLF;
	$manifest .= '		</field>'.CRLF;
	$manifest .= '		</fieldset>';

	$manifest .= '		<fieldset legend="사이드바 머릿말">'.CRLF;
	$manifest .= '		<field title="* 사용중인 skin.html 참고" name="sbheader" cols="51" rows="2"  type="textarea" titledirection="bk" ><![CDATA[<div class="listbox">
<h3>책갈피</h3>]]></field>'.CRLF;
	$manifest .= '		</fieldset>'.CRLF;
	$manifest .= '		<fieldset legend="사이드바 꼬릿말">'.CRLF;
	$manifest .= '		<field title="* 사용중인 skin.html 참고" name="sbfooter" cols="51" rows="2"  type="textarea" titledirection="bk" ><![CDATA[</div>]]></field>'.CRLF;
	$manifest .= '		</fieldset>'.CRLF;
	
	$manifest .= '		<fieldset legend="사이트 설정">'.CRLF;
	$manifest .= '		<field title="구글:ᅚᅚ" name="구글" type="radio">'.CRLF;
	$manifest .= '			<op value="T" checked="checked">사용</op>'.CRLF;
	$manifest .= '			<op value="F" >사용 안 함</op>'.CRLF;
	$manifest .= '		</field>'.CRLF;
	$manifest .= '		<field title="네이버:ᅚ" name="네이버" type="radio">'.CRLF;
	$manifest .= '			<op value="T" checked="checked">사용</op>'.CRLF;
	$manifest .= '			<op value="F" >사용 안 함</op>'.CRLF;
	$manifest .= '		</field>'.CRLF;
	$manifest .= '		<field title="뉴스:ᅚᅚ" name="뉴스2.0" type="radio">'.CRLF;
	$manifest .= '			<op value="T" checked="checked">사용</op>'.CRLF;
	$manifest .= '			<op value="F" >사용 안 함</op>'.CRLF;
	$manifest .= '		</field>'.CRLF;
	$manifest .= '		<field title="다음:ᅚᅚ" name="다음" type="radio">'.CRLF;
	$manifest .= '			<op value="T" checked="checked">사용</op>'.CRLF;
	$manifest .= '			<op value="F" >사용 안 함</op>'.CRLF;
	$manifest .= '		</field>'.CRLF;
	$manifest .= '		<field title="델리셔스:" name="델리셔스" type="radio">'.CRLF;
	$manifest .= '			<op value="T" checked="checked">사용</op>'.CRLF;
	$manifest .= '			<op value="F" >사용 안 함</op>'.CRLF;
	$manifest .= '		</field>'.CRLF;
	$manifest .= '		<field title="마가린:ᅚ" name="마가린" type="radio">'.CRLF;
	$manifest .= '			<op value="T" checked="checked">사용</op>'.CRLF;
	$manifest .= '			<op value="F" >사용 안 함</op>'.CRLF;
	$manifest .= '		</field>'.CRLF;
	$manifest .= '		<field title="북마커:ᅚ" name="북마커" type="radio">'.CRLF;
	$manifest .= '			<op value="T" checked="checked">사용</op>'.CRLF;
	$manifest .= '			<op value="F" >사용 안 함</op>'.CRLF;
	$manifest .= '		</field>'.CRLF;
	$manifest .= '		<field title="야후:ᅚᅚ" name="야후" type="radio">'.CRLF;
	$manifest .= '			<op value="T" checked="checked">사용</op>'.CRLF;
	$manifest .= '			<op value="F" >사용 안 함</op>'.CRLF;
	$manifest .= '		</field>'.CRLF;
	$manifest .= '		<field title="정보:ᅚᅚ" name="정보" type="radio">'.CRLF;
	$manifest .= '			<op value="T" checked="checked">사용</op>'.CRLF;
	$manifest .= '			<op value="F">사용 안 함</op>'.CRLF;
	$manifest .= '		</field>'.CRLF;
	$manifest .= '		<field title="한RSS:ᅚ" name="한RSS" type="radio">'.CRLF;
	$manifest .= '			<op value="T" checked="checked">사용</op>'.CRLF;
	$manifest .= '			<op value="F" >사용 안 함</op>'.CRLF;
	$manifest .= '		</field>'.CRLF;
	$manifest .= '		<field title="위자드:ᅚ" name="WZD" type="radio">'.CRLF;
	$manifest .= '			<op value="T" checked="checked">사용</op>'.CRLF;
	$manifest .= '			<op value="F" >사용 안 함</op>'.CRLF;
	$manifest .= '			<caption>'.CRLF;
	$manifest .= '				<![CDATA['.CRLF;
	$manifest .= '				출력할 책갈피는 사용으로 설정하고 출력하지 않을 책갈피는 사용 안 함으로 설정합니다. 갈피 중 정보는 플러그인 개발자가 운영하고 있는 <A href="http://qaos.com/">QAOS.com</A>에 대한 링크입니다. 필요없는 사람은 사용 안 함으로 설정하고 사용하면됩니다.책갈피 링크 막대 플러그인에 대한 자세한 설명은 <a href="http://offree.net/entry/태터툴즈-플러그인-책갈피-링크-막대" target="_blank">태터툴즈 플러그인 - 책갈피 링크 막대</a>을 방문하시기 바랍니다.<br />'.CRLF;
	$manifest .= '			</caption>'.CRLF;
	$manifest .= '		</field>'.CRLF;
	$manifest .= '		</fieldset>'.CRLF;

	$manifest .= '</config>';
	
	return $manifest;
}


?>